Name:           perl-Smart-Comments
Epoch:          1
Version:        v1.0.3
Release:        1%{?dist}
Summary:        Comments that do more than just sit there

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Smart-Comments            
Source0: http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/Smart-Comments-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

## core
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Balanced)
## non-core
BuildRequires:  perl(version)
BuildRequires:  perl(Test::Pod)
## author test
BuildRequires:  perl(Test::Pod::Coverage)

BuildArch: noarch
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
Smart comments provide an easy way to insert debugging and tracking code into
a program. They can report the value of a variable, track the progress of a
loop, and verify that particular assertions are true.

Best of all, when you're finished debugging, you don't have to remove them.
Simply commenting out the use Smart::Comments line turns them back into
regular comments. Leaving smart comments in your code is smart because if you
needed them once, you'll almost certainly need them again later.


%prep
%setup -q -n Smart-Comments-%{version}

perl -pi -e 's|^#!perl|#!/usr/bin/perl|' t/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README Changes t/
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Sat Mar 01 2008 Chris Weyl <cweyl@alumni.drew.edu> 1:v1.0.3-1
- update to v1.0.3
- update lic tag
- add epoch, to move away from the 1.000... representation of the version

* Tue Mar 27 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-4
- be more explicit with core requires

* Thu Aug 31 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-3
- bump for mass rebuild

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-2
- bump for build & release

* Sun Aug 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.000002-1
- Initial spec file for F-E
